Subject: Re: [PATCH 1/2] Change "refs/" references to symbolic constants

From: Andy Parkins <[email-masked]>
Date: Mon, 1 Oct 2007 21:41:43 +0100

On Saturday 2007, September 29, Andy Parkins wrote:
> Changed repeated use of the same constants for the ref paths to be
> symbolic constants.  I've defined them in refs.h

Please hold off on applying this.  I'm getting this when running the tests:

*** t5516-fetch-push.sh ***
*   ok 1: setup
*   ok 2: fetch without wildcard
*   ok 3: fetch with wildcard
*   ok 4: push without wildcard
*   ok 5: push with wildcard
*   ok 6: push with matching heads
*   ok 7: push with no ambiguity (1)
*   ok 8: push with no ambiguity (2)
*   ok 9: push with weak ambiguity (1)
*   ok 10: push with weak ambiguity (2)
*   ok 11: push with ambiguity (1)
* FAIL 12: push with ambiguity (2)

I'm having trouble seeing where the fault is at the moment though.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]